mvdc-class {copula} | R Documentation

## Class "mvdc"

### Description

Class representing multivariate distributions constructed using Sklar's theorem.

### Objects from the Class

Objects are typically created by `mvdc()`, or can be created by calls of the form `new("mvdc", ...)`.

### Slots

`copula`:

  Object of class `"copula"`, specifying the copula.

`margins`:

  Object of class `"character"`, specifying the marginal distributions.

`paramMargins`:

  Object of class `"list"`, whose each component is a list of named components, giving the parameter values of the marginal distributions. See `mvdc`.

`marginsIdentical`:

  Object of class `"logical"`, that, if TRUE, restricts the marginal distributions to be identical, default is `FALSE`.

### Methods

contour

  `signature(x = "mvdc")`: ...

dim

  `signature(x = "mvdc")`: the dimension of the distribution; this is the same as `dim(x@copula)`.

persp

  `signature(x = "mvdc")`: ...

show

  `signature(object = "mvdc")`: quite compactly display the content of the "mvdc" `object`.

### See Also

`mvdc`, also for examples; for fitting, `fitMvdc`.

[Package copula version 0.999-15 Index]